Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 84187 - The choice of the view (tree vs columns) should be persisted
The choice of the view (tree vs columns) should be persisted
Status: VERIFIED FIXED
Product: xml
Classification: Unclassified
Component: Schema Tools
5.x
All All
: P1 (vote)
: TBD
Assigned To: Nathan Fiedler
issues@xml
http://xdesign-tools.czech.sun.com/us...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-05 09:19 UTC by Jiri Kopsa
Modified: 2006-09-19 09:02 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Kopsa 2006-09-05 09:19:32 UTC
The choice of tree vs columns is more a user preference than per file basis. The
choice of the view (tree vs columns) should be persisted. 

Persist the choice of tree vs columns view. The last user choice (within the
IDE) should be used for a newly opened editor. The choice should be persisted
per editor type (for XSD and WSDL editors individually).

http://xdesign-tools.czech.sun.com/usability/jse/jse9-coke-endToEnd/report.html#ChoiceOfViewPersisted
Comment 1 Nathan Fiedler 2006-09-12 19:03:07 UTC
Implemented in release55 branch.

schema/schemaui/src/org/netbeans/modules/xml/schema/ui/basic/Bundle.properties;
new revision: 1.1.2.13; previous revision: 1.1.2.12
schema/schemaui/src/org/netbeans/modules/xml/schema/ui/basic/SchemaColumnsCategory.java;
new revision: 1.1.2.5; previous revision: 1.1.2.4
schema/schemaui/src/org/netbeans/modules/xml/schema/ui/basic/SchemaSettings.java;
new revision: 1.1.2.1; previous revision: 1.1
schema/schemaui/src/org/netbeans/modules/xml/schema/ui/basic/SchemaTreeCategory.java;
new revision: 1.1.2.6; previous revision: 1.1.2.5
schema/schemaui/src/org/netbeans/modules/xml/schema/ui/basic/layer.xml;
new revision: 1.1.2.8; previous revision: 1.1.2.7
schema/schemaui/src/org/netbeans/modules/xml/schema/ui/basic/resources/SchemaSettings.settings;
new revision: 1.1.2.1; previous revision: 1.1
schema/core/src/org/netbeans/modules/xml/schema/core/multiview/SchemaColumnViewMultiViewElement.java;
new revision: 1.1.2.40; previous revision: 1.1.2.39
Comment 2 Jiri Kopsa 2006-09-19 09:02:03 UTC
Verified. Works as expected.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo